package com.liquidnet.common.third.zxlnft.dto.nft;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 41.查询转出NFT交易信息列表 GET请求方式
 * @class: TradeOutListReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:51
 */
@Data
public class Nft041TradeOutListReq implements Serializable {
    /**
     * 账户地址
     */
    private String addr;
    /**
     * 查询偏移量，从0开始，和mysql一个语义
     */
    //@Null
    private Long offset;
    /**
     * 最大1000
     */
    private Long limit;
    private static final Nft041TradeOutListReq obj = new Nft041TradeOutListReq();
    private static final long serialVersionUID = -1903545556340887128L;

    public static Nft041TradeOutListReq getNew() {
        try {
            return (Nft041TradeOutListReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft041TradeOutListReq();
        }
    }
}
